:: This script requires Magick.exe
:: https://imagemagick.org/script/download.php#windows
@echo off
rem set PATH=%SystemRoot%\system32;"%~dp0"
pushd ImageRes
goto :darkmode

:: Colorize icons via -modulate values (and compress 256px) 
:color
set "LSH=100,90,0"
set "ops=-background none -set option:modulate:colorspace hsl -modulate %LSH%"
mkdir "%LSH%"
for %%f in (*.ico) do magick convert %ops% "%%f" "%LSH%\%%f"
exit /b

:: Replace symbolic icons (dark mode only)
:darkmode
mkdir DarkMode
for %%f in (computer* drive* folder-* network* starred*) do (
	pushd DarkMode
	magick convert "..\%%f" "%%~nf.png"
	magick mogrify -modulate 50,100,100 -channel RGB -negate "%%~nf-4.png"
	magick mogrify -modulate 50,100,100 -channel RGB -negate "%%~nf-5.png"
	rem copy /y "new\%%~nf-4.png"
	rem copy /y "new\%%~nf-5.png"
	magick convert *.png "%%f"
	del *.png
	popd
)
exit /b
